### Method

# Soup CookieJar add_cookie

#### Declaration [src]

    void
    soup_cookie_jar_add_cookie (
      SoupCookieJar* jar,
      SoupCookie* cookie
    )

#### Description [src]

Adds `cookie` to `jar`.

Emits the `SoupCookieJar::changed` signal if we are modifying an existing cookie or adding a valid new cookie (‘valid’ means that the cookie’s expire date is not in the past).

`cookie` will be ‘stolen’ by the jar, so don’t free it afterwards.

#### Parameters

`cookie`

  Type: `SoupCookie`

  A `SoupCookie`.

  The instance takes ownership of the data, and is responsible for freeing it.